| Home | Libraries | People | FAQ | More

## Function template move

boost::move

## Synopsis

    // In header: <boost/move/algorithm.hpp>

    template<typename I, typename O> O move(I f, I l, O result);

## Description

Effects: Moves elements in the range [first,last) into the range [result,result + (last - first)) starting from first and proceeding to last. For each non-negative integer n < (last-first), performs *(result + n) = boost::move (*(first + n)).

Effects: result + (last - first).

Requires: result shall not be in the range [first,last).

Complexity: Exactly last - first move assignments.